## gate.annotation
Class AnnotationSetImpl.AnnotationSetIterator

    java.lang.Object
      |
      +--gate.annotation.AnnotationSetImpl.AnnotationSetIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  AnnotationSetImpl

class AnnotationSetImpl.AnnotationSetIterator
extends Object
implements Iterator

This inner class serves as the return value from the iterator() method.

Field Summary
`private Iterator` `iter`
`private Annotation` `lastNext`

Constructor Summary
`(package private)` `AnnotationSetImpl.AnnotationSetIterator()`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### iter

    private Iterator iter

### lastNext

    private Annotation lastNext

Constructor Detail

### AnnotationSetImpl.AnnotationSetIterator

    AnnotationSetImpl.AnnotationSetIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`